{% extends "base.html" %}

{% set active_page = "logs" %}

{% block content %}
    <div>
        <h1>Logbook Overview</h1>
    </div>

    <div class="logs-overview">

        <h2>Select Number Of Rows</h2>
        <div class="form-group">
        <!--		Show Numbers Of Rows 		-->
            <select class="form-control" name="state" id="maxRows">
                <option value="5000">Show ALL Rows</option>
                <option value="5">5</option>
                <option value="10">10</option>
                <option value="15">15</option>
                <option value="20">20</option>
                <option value="50">50</option>
                <option value="70">70</option>
                <option value="100">100</option>
            </select>

        </div>
        <table class="table table-striped table-class" , id="logbook-table">
            <thead>
                <tr>
                    <th>No</th>
                    <th>Entry Date</th>
                    <th>User</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                {% for entry in entries %}
                    <tr data-url="{{url_for('logs.details', entry_id=entry.id)}}">
                        <td>{{entry.id}}</td>
                        <td>{{entry.timestamp.strftime('%d-%m-%Y %H:%M:%S')}}</td>
                        <td>{{entry.username}}</td>
                        <td>{{entry.action}}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>

    <div class='pagination-container'>
        <nav>
            <ul class="pagination">

                <li data-page="prev">
                    <span>
                        < </span>
                </li>
            <!--	Here the JS Function Will Add the Rows -->
                <li data-page="next" id="next">
                    <span>></span>
                </li>
            </ul>
        </nav>
    </div>

    <div class="logs-new-button">
        <button class="button-3">
            <a href="{{ url_for('logs.add') }}">
                Add new log
            </a>
        </button>
    </div>

    <script>
    // Setup pagination
        getPagination('#logbook-table');

    // Setup click handler for tbody rows
        $(function () {
            $('#logbook-table tbody tr').click(function () {
                window.location.href = $(this).data('url');
            });
        })
    </script>
{% endblock %}